Debian Bug report logs - #575669
glitchy sound when increasing/decreasing volume on snd-hda-intel

version graph

Package: alsa-driver; Maintainer for alsa-driver is Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>;

Reported by: Carlos Laviola <claviola@debian.org>

Date: Sun, 28 Mar 2010 06:18:02 UTC

Severity: normal

Tags: fixed-upstream, patch, upstream

Fixed in version alsa-driver/1.0.23+dfsg-1

Done: Jordi Mallach <jordi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#575669; Package alsa-driver. (Sun, 28 Mar 2010 06:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Laviola <claviola@debian.org>:
New Bug report received and forwarded. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sun, 28 Mar 2010 06:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Carlos Laviola <claviola@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: glitchy sound when increasing/decreasing volume on snd-hda-intel
Date: Sun, 28 Mar 2010 03:14:12 -0300
Package: alsa-driver
Severity: normal
Tags: upstream

As discussed with Daniel T. Chen (crimsun) on #pulseaudio@freenode,
there seems to be an underlying bug on alsa that makes pulseaudio
volume control introduce various glitches and noise to whatever's
being played.  Passing 'position_fix=1' to the module as suggested
works around the problem.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (900, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-4-amd64 (SMP w/3 CPU cores)
Locale: LANG=pt_BR.UTF-8, LC_CTYPE=pt_BR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Message sent on to Carlos Laviola <claviola@debian.org>:
Bug#575669. (Sun, 28 Mar 2010 06:45:02 GMT) Full text and rfc822 format available.

Message #8 received at 575669-submitter@bugs.debian.org (full text, mbox):

From: Daniel Chen <seven.steps@gmail.com>
To: Takashi Iwai <tiwai@suse.de>, 575669-submitter@bugs.debian.org, stable@kernel.org
Cc: alsa-devel <alsa-devel@alsa-project.org>
Subject: [PATCH] ALSA: hda: Use LPIB for ga-ma770-ud3 board
Date: Sat, 27 Mar 2010 23:41:51 -0700
[Message part 1 (text/plain, inline)]
Hi,

Attached is a patch against current sound-2.6 master HEAD (also
applicable to 2.6.32.y and 2.6.33.y) that makes the OR's audio more
tolerable with PulseAudio.

Best,
-Dan
[0001-ALSA-hda-Use-LPIB-for-ga-ma770-ud3-board.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#575669; Package alsa-driver. (Sun, 28 Mar 2010 09:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sun, 28 Mar 2010 09:15:04 GMT) Full text and rfc822 format available.

Message #13 received at 575669@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: Carlos Laviola <claviola@debian.org>, 575669@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: [Pkg-alsa-devel] Bug#575669: glitchy sound when increasing/decreasing volume on snd-hda-intel
Date: Sun, 28 Mar 2010 11:12:46 +0200
* Carlos Laviola [100328 03:14 -0300]
> Package: alsa-driver
> Severity: normal
> Tags: upstream
> 
> As discussed with Daniel T. Chen (crimsun) on #pulseaudio@freenode,
> there seems to be an underlying bug on alsa that makes pulseaudio
> volume control introduce various glitches and noise to whatever's
> being played.  Passing 'position_fix=1' to the module as suggested
> works around the problem.

Which module?

Elimar


-- 
  Never make anything simple and efficient when a way 
  can be found to make it complex and wonderful ;-)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#575669; Package alsa-driver. (Sun, 28 Mar 2010 09:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Laviola <claviola@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sun, 28 Mar 2010 09:27:03 GMT) Full text and rfc822 format available.

Message #18 received at 575669@bugs.debian.org (full text, mbox):

From: Carlos Laviola <claviola@debian.org>
To: Elimar Riesebieter <riesebie@lxtec.de>
Cc: 575669@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] Bug#575669: glitchy sound when increasing/decreasing volume on snd-hda-intel
Date: Sun, 28 Mar 2010 06:25:55 -0300
On Sun, Mar 28, 2010 at 06:12, Elimar Riesebieter <riesebie@lxtec.de> wrote:
>
> * Carlos Laviola [100328 03:14 -0300]
> > As discussed with Daniel T. Chen (crimsun) on #pulseaudio@freenode,
> > there seems to be an underlying bug on alsa that makes pulseaudio
> > volume control introduce various glitches and noise to whatever's
> > being played.  Passing 'position_fix=1' to the module as suggested
> > works around the problem.
>
> Which module?

Sorry, I should obviously have mentioned that; 'snd-hda-intel'.

--
Carlos Laviola




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#575669; Package alsa-driver. (Sun, 28 Mar 2010 09:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sun, 28 Mar 2010 09:51:03 GMT) Full text and rfc822 format available.

Message #23 received at 575669@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: Carlos Laviola <claviola@debian.org>
Cc: 575669@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] Bug#575669: glitchy sound when increasing/decreasing volume on snd-hda-intel
Date: Sun, 28 Mar 2010 11:50:08 +0200
* Carlos Laviola [100328 06:25 -0300]
> On Sun, Mar 28, 2010 at 06:12, Elimar Riesebieter <riesebie@lxtec.de> wrote:
> >
> > * Carlos Laviola [100328 03:14 -0300]
> > > As discussed with Daniel T. Chen (crimsun) on #pulseaudio@freenode,
> > > there seems to be an underlying bug on alsa that makes pulseaudio
> > > volume control introduce various glitches and noise to whatever's
> > > being played.  Passing 'position_fix=1' to the module as suggested
> > > works around the problem.
> >
> > Which module?
> 
> Sorry, I should obviously have mentioned that; 'snd-hda-intel'.

Well, I am running that driver and it works great with puleaudio
even without that option.

If you want lo load position_fix=1 do as root:

# echo "options snd_hda_intel position_fix=1" >> /etc/modprobe.d/local.conf
# alsa force-reload
or
# reboot

Elimar

-- 
  It's a good thing we don't get all 
  the government we pay for.




Message sent on to Carlos Laviola <claviola@debian.org>:
Bug#575669. (Sun, 28 Mar 2010 17:39:07 GMT) Full text and rfc822 format available.

Message #26 received at 575669-submitter@bugs.debian.org (full text, mbox):

From: Dan Chen <crimsunkg@yahoo.com>
To: 575669-submitter@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] Bug#575669: Bug#575669: glitchy sound when increasing/decreasing volume on snd-hda-intel
Date: Sun, 28 Mar 2010 10:37:50 -0700 (PDT)
From: Elimar Riesebieter <riesebie@lxtec.de>

> Well, I am running that driver and it works great with puleaudio
> even without that option.

It's a hardware-specific problem. The closest that we can pin
down the hardware is at the integrator level, i.e., mainboard
manufacturer, so we use the mainboard's subsystem ID in
the quirk list. You're lucky to have semi-non-broken hardware.
:-)



      




Message sent on to Carlos Laviola <claviola@debian.org>:
Bug#575669. (Mon, 29 Mar 2010 06:33:03 GMT) Full text and rfc822 format available.

Message #29 received at 575669-submitter@bugs.debian.org (full text, mbox):

From: Takashi Iwai <tiwai@suse.de>
To: Daniel Chen <seven.steps@gmail.com>
Cc: 575669-submitter@bugs.debian.org, stable@kernel.org, alsa-devel <alsa-devel@alsa-project.org>
Subject: Re: [PATCH] ALSA: hda: Use LPIB for ga-ma770-ud3 board
Date: Mon, 29 Mar 2010 08:32:00 +0200
At Sat, 27 Mar 2010 23:41:51 -0700,
Daniel Chen wrote:
> 
> Hi,
> 
> Attached is a patch against current sound-2.6 master HEAD (also
> applicable to 2.6.32.y and 2.6.33.y) that makes the OR's audio more
> tolerable with PulseAudio.

Thanks, applied now to sound git tree.


Takashi

> 
> Best,
> -Dan
> [2 0001-ALSA-hda-Use-LPIB-for-ga-ma770-ud3-board.patch <text/x-diff; US-ASCII (base64)>]
> From 38811334e84fef51df16e450d657c9faef7715ef Mon Sep 17 00:00:00 2001
> From: Daniel T Chen <crimsun@ubuntu.com>
> Date: Sun, 28 Mar 2010 02:34:40 -0400
> Subject: [PATCH] ALSA: hda: Use LPIB for ga-ma770-ud3 board
> 
> BugLink: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=575669
> 
> The OR states that position_fix=1 is necessary to work around glitching
> during volume adjustments using PulseAudio.
> 
> Reported-by: Carlos Laviola <claviola@debian.org>
> Tested-by: Carlos Laviola <claviola@debian.org>
> Cc: <stable@kernel.org>
> Signed-off-by: Daniel T Chen <crimsun@ubuntu.com>
> ---
>  sound/pci/hda/hda_intel.c |    1 +
>  1 files changed, 1 insertions(+), 0 deletions(-)
> 
> diff --git a/sound/pci/hda/hda_intel.c b/sound/pci/hda/hda_intel.c
> index a33c1c5..b185afd 100644
> --- a/sound/pci/hda/hda_intel.c
> +++ b/sound/pci/hda/hda_intel.c
> @@ -2273,6 +2273,7 @@ static struct snd_pci_quirk position_fix_list[] __devinitdata = {
>  	SND_PCI_QUIRK(0x103c, 0x306d, "HP dv3", POS_FIX_LPIB),
>  	SND_PCI_QUIRK(0x1106, 0x3288, "ASUS M2V-MX SE", POS_FIX_LPIB),
>  	SND_PCI_QUIRK(0x1043, 0x813d, "ASUS P5AD2", POS_FIX_LPIB),
> +	SND_PCI_QUIRK(0x1458, 0xa022, "ga-ma770-ud3", POS_FIX_LPIB),
>  	SND_PCI_QUIRK(0x1462, 0x1002, "MSI Wind U115", POS_FIX_LPIB),
>  	SND_PCI_QUIRK(0x1565, 0x820f, "Biostar Microtech", POS_FIX_LPIB),
>  	SND_PCI_QUIRK(0x8086, 0xd601, "eMachines T5212", POS_FIX_LPIB),
> -- 
> 1.7.0
> 




Added tag(s) fixed-upstream and patch. Request was from Daniel Chen <seven.steps@gmail.com> to control@bugs.debian.org. (Mon, 29 Mar 2010 14:57:06 GMT) Full text and rfc822 format available.

Reply sent to Jordi Mallach <jordi@debian.org>:
You have taken responsibility. (Wed, 02 Jun 2010 17:33:07 GMT) Full text and rfc822 format available.

Notification sent to Carlos Laviola <claviola@debian.org>:
Bug acknowledged by developer. (Wed, 02 Jun 2010 17:33:07 GMT) Full text and rfc822 format available.

Message #36 received at 575669-close@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: 575669-close@bugs.debian.org
Subject: Bug#575669: fixed in alsa-driver 1.0.23+dfsg-1
Date: Wed, 02 Jun 2010 17:32:19 +0000
Source: alsa-driver
Source-Version: 1.0.23+dfsg-1

We believe that the bug you reported is fixed in the latest version of
alsa-driver, which is due to be installed in the Debian FTP archive:

alsa-base_1.0.23+dfsg-1_all.deb
  to main/a/alsa-driver/alsa-base_1.0.23+dfsg-1_all.deb
alsa-driver_1.0.23+dfsg-1.debian.tar.bz2
  to main/a/alsa-driver/alsa-driver_1.0.23+dfsg-1.debian.tar.bz2
alsa-driver_1.0.23+dfsg-1.dsc
  to main/a/alsa-driver/alsa-driver_1.0.23+dfsg-1.dsc
alsa-driver_1.0.23+dfsg.orig.tar.bz2
  to main/a/alsa-driver/alsa-driver_1.0.23+dfsg.orig.tar.bz2
alsa-source_1.0.23+dfsg-1_all.deb
  to main/a/alsa-driver/alsa-source_1.0.23+dfsg-1_all.deb
linux-sound-base_1.0.23+dfsg-1_all.deb
  to main/a/alsa-driver/linux-sound-base_1.0.23+dfsg-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 575669@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jordi Mallach <jordi@debian.org> (supplier of updated alsa-driver package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 02 Jun 2010 19:14:23 +0200
Source: alsa-driver
Binary: linux-sound-base alsa-base alsa-source
Architecture: source all
Version: 1.0.23+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Changed-By: Jordi Mallach <jordi@debian.org>
Description: 
 alsa-base  - ALSA driver configuration files
 alsa-source - ALSA driver sources
 linux-sound-base - base package for ALSA and OSS sound systems
Closes: 574593 575669
Changes: 
 alsa-driver (1.0.23+dfsg-1) unstable; urgency=low
 .
   * New upstream release.
     - glitchy sound when increasing/decreasing volume on snd-hda-intel. Fixed
       upstream by a patch from Dan Chen. Thanks. (closes: #575669)
 .
   [ Jordi Mallach ]
   * Add an "Old Changelog:" line at the end of the Debian changelog to
     avoid a lintian warning, and remove related overrides.
   * Add overrides for unused debconf templates in alsa-source.
   * Remove README.source, it's uneeded with source format 3.0 (quilt).
   * Add Build-Depends on autoconf.
 .
   [ Elimar Riesebieter ]
   * Remove fix_asihpi_includes.patch. Applied different from upstream.
   * Remove hp_dv4t_msi.patch. Applied from upstream.
   * Patches from Ben Hutchings NMU added to svn:
     - distinguish_kernel_makefile_and_source_dirs.patch
     - use_kbuild_not_ac_try_compile.patch
     - fix_version_check.patch
     Thanks again for his cooperation and excellent work!
   * Updated those 3 patches.
   * disable_gcc_version_check2.patch deprecated.
   * Use dh_lintian.
   * Remove useless alsa-source.lintian-overrides.
   * Bumped Standards-Version to 3.8.4. No changes.
   * Prevent snd-usb-audio to be the first soundcard via
     /etc/modprobe.d/alsa-base.conf. (closes: #574593).
   * Introduced DEP-3 patch headers.
Checksums-Sha1: 
 de8c3049da8b2cdc53ee4943764b025ae28ab4f9 1420 alsa-driver_1.0.23+dfsg-1.dsc
 4c0e7881fe42342cb21bae7dfa820b361c7afd50 3318052 alsa-driver_1.0.23+dfsg.orig.tar.bz2
 e2f8904ff1f0d9cf3401f4e57fb41105221dcf38 218637 alsa-driver_1.0.23+dfsg-1.debian.tar.bz2
 78d14f9f4cc23abe5bf98cea201bafb767f8724b 28546 linux-sound-base_1.0.23+dfsg-1_all.deb
 312f8f58029c6c785afedfee03883c6866b31375 312774 alsa-base_1.0.23+dfsg-1_all.deb
 6fc1750a8e33ed1b27d32f618391e82d52154c95 3773308 alsa-source_1.0.23+dfsg-1_all.deb
Checksums-Sha256: 
 2a85c8994488369b30b0bd6993675e7808e543c2c480eca98f20cc7eba09e4de 1420 alsa-driver_1.0.23+dfsg-1.dsc
 36045e843ec76402daffaee909b470326e436e7085850a6b4e1800d5f11a73a0 3318052 alsa-driver_1.0.23+dfsg.orig.tar.bz2
 f528edd45e781a2e477cb4f1e40cda4a18b024f3995f4ac89774e297bd1f0db3 218637 alsa-driver_1.0.23+dfsg-1.debian.tar.bz2
 ca02161d04d4c2077317ff93d538b9852d5219fea64169e7a4c12fbe20388ec9 28546 linux-sound-base_1.0.23+dfsg-1_all.deb
 b29e94904636246f4067a01d0ccfea4b16830b21b7e5c188e74dbdf580bad32d 312774 alsa-base_1.0.23+dfsg-1_all.deb
 aa9abf40985d9bb6ef45c2b53ca52b73ff9d3d2e3be52016b586a221c0c71341 3773308 alsa-source_1.0.23+dfsg-1_all.deb
Files: 
 70bfa24950b4b2a6459a0225db115375 1420 sound optional alsa-driver_1.0.23+dfsg-1.dsc
 50bce8888432a01a002cdf87e9ee4d1e 3318052 sound optional alsa-driver_1.0.23+dfsg.orig.tar.bz2
 bb92dc9dcc4478761264b11a91495638 218637 sound optional alsa-driver_1.0.23+dfsg-1.debian.tar.bz2
 699785237d31c6dee2ebafbdb018a2df 28546 sound optional linux-sound-base_1.0.23+dfsg-1_all.deb
 a616f2d8fc106aeb0d4afe7fed8627b7 312774 sound optional alsa-base_1.0.23+dfsg-1_all.deb
 012bfe363ffbcd6826ad40e29915ba7f 3773308 kernel optional alsa-source_1.0.23+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkwGlA8ACgkQJYSUupF6Il7mGQCgvhjscmflyrL6/ya5SJwSbn1t
xmYAniLmcxo78xKs4X2EnWWSadkyn4Ac
=IO8A
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 12 Jul 2010 07:38:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:14:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.